Bug 209156 - [asmc] [patch] add support for more models and restore keyboard backlight after resume
Summary: [asmc] [patch] add support for more models and restore keyboard backlight aft...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: amd64 Any
: --- Affects Some People
Assignee: freebsd-bugs mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-04-29 23:13 UTC by Johannes Lundberg
Modified: 2016-08-24 16:57 UTC (History)
2 users (show)

See Also:


Attachments
Updates and fixes to asmc. and asmvar.h (5.83 KB, patch)
2016-04-29 23:13 UTC, Johannes Lundberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Lundberg 2016-04-29 23:13:38 UTC
Created attachment 169819 [details]
Updates and fixes to asmc. and asmvar.h

This patch adds support for restoring backlight after resume and adds models
Macbook3,1
MacbookAir5,1
MacbookAir5,2

It also incorporates fixes for bug #175260, bug #203610 and bug #203512 so those can be closed if this patch is applied.
Comment 1 Thomas Brierley 2016-05-01 14:13:47 UTC
Thanks for this

Tested restore keyboard backlight function on resume on MacBookPro5,1

Patched on top of 10.3 version
Comment 2 commit-hook freebsd_committer 2016-05-02 19:15:34 UTC
A commit references this bug:

Author: adrian
Date: Mon May  2 19:15:16 UTC 2016
New revision: 298937
URL: https://svnweb.freebsd.org/changeset/base/298937

Log:
  [asmc] add support for more models and restore keyboard backlight after resume.

  This patch adds support for restoring backlight after resume and adds models
  Macbook3,1
  MacbookAir5,1
  MacbookAir5,2

  It also incorporates fixes for bug #175260, bug #203610 and bug #203512
  so those can be closed if this patch is applied.

  PR:		kern/209156
  PR: kern/175260
  PR: kern/203610
  PR: kern/203512
  Submitted by:	Johannes Lundberg <johannes@brilliantservice.co.jp>

Changes:
  head/sys/dev/asmc/asmc.c
  head/sys/dev/asmc/asmcvar.h